Loading...
Searching...
No Matches
pcl::visualization::RenWinInteract Class Reference

`#include <pcl/visualization/common/ren_win_interact_map.h>`

## Public Member Functions

| RenWinInteract ()

## Public Attributes

vtkSmartPointer< vtkXYPlotActor > | xy_plot_
| The XY plot actor holding the actual data.
vtkSmartPointer< vtkRenderer > | ren_
| The renderer used.
vtkSmartPointer< vtkRenderWindow > | win_
| The render window.
vtkSmartPointer< vtkRenderWindowInteractor > | interactor_
| The render window interactor.
vtkSmartPointer< vtkInteractorStyleTrackballCamera > | style_
| The render window interactor style.

## Detailed Description

Definition at line 58 of file ren_win_interact_map.h.

## Constructor & Destructor Documentation

## RenWinInteract()

pcl::visualization::RenWinInteract::RenWinInteract | ( |  | ) |

## Member Data Documentation

## interactor_

vtkSmartPointer<vtkRenderWindowInteractor> pcl::visualization::RenWinInteract::interactor_

The render window interactor.

Definition at line 75 of file ren_win_interact_map.h.

## ren_

vtkSmartPointer<vtkRenderer> pcl::visualization::RenWinInteract::ren_

The renderer used.

Definition at line 68 of file ren_win_interact_map.h.

## style_

vtkSmartPointer<vtkInteractorStyleTrackballCamera> pcl::visualization::RenWinInteract::style_

The render window interactor style.

Definition at line 78 of file ren_win_interact_map.h.

## win_

vtkSmartPointer<vtkRenderWindow> pcl::visualization::RenWinInteract::win_

The render window.

Definition at line 71 of file ren_win_interact_map.h.

## xy_plot_

vtkSmartPointer<vtkXYPlotActor> pcl::visualization::RenWinInteract::xy_plot_

The XY plot actor holding the actual data.

Definition at line 65 of file ren_win_interact_map.h.

The documentation for this class was generated from the following file:

- pcl/visualization/common/ren_win_interact_map.h